ARTSCLASSLIB = ../../classes/lib/libArts.la
ARTSCLASSINC = -I../../classes/include
CXX = @CXX@
CXXFLAGS = @CXXFLAGS@
top_builddir = ../..
LIBTOOL = @ /bin/sh $(top_builddir)/libtool

all: artsports

clean:
	rm -f *.o *.lo artsports
	rm -Rf .libs

strip:: artsports
	@-if [ -f .libs/artsports ]; then \
	  strip .libs/artsports ; \
	else \
	  strip artsports ; \
	fi

artsports: artsports.o ${ARTSCLASSLIB}
	${LIBTOOL} ${CXX} ${CXXFLAGS} artsports.o ${ARTSCLASSLIB} @LIBS@ -o artsports

artsports.o: artsports.cc ../../classes/include/*.hh
	${CXX} ${CXXFLAGS} ${ARTSCLASSINC} -c artsports.cc

install:: strip
	${LIBTOOL} ../../install-sh -c -m 555 artsports @bindir@/artsports
	../../install-sh -c -m 444 artsports.man @mandir@/manl/artsports.l

tarball::
	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/artsports
	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @mandir@/manl/artsports.l


